<?xml version="1.0"?>
<!-- This file is protected by Copyright. Please refer to the COPYRIGHT file
     distributed with this source distribution.

     This file is part of OpenCPI <http://www.opencpi.org>

     OpenCPI is free software: you can redistribute it and/or modify it under
     the terms of the GNU Lesser General Public License as published by the Free
     Software Foundation, either version 3 of the License, or (at your option)
     any later version.

     OpenCPI is distributed in the hope that it will be useful, but WITHOUT ANY
     WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
     FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for
     more details.

     You should have received a copy of the GNU Lesser General Public License
     along with this program. If not, see <http://www.gnu.org/licenses/>. -->
<componentspec>
  <property name="number_of_taps" type="uchar" writable="false" parameter="true" default="64"
    description="Number of taps in FIR filter."/>
  <property name="group_delay_seconds" type="ulong" default="0" writable="true" description="Group delay of the filter in seconds."/>
  <property name="group_delay_fractional" type="ulonglong" default="0" writable="true"
    description="Group delay of the filter fractional."/>
  <!-- LINT EXCEPTION: xml_012: 2: Cannot specify default value on an
       array due to test failing - see opencpi/opencpi#3682 -->
  <property name="taps" type="float" arraylength="number_of_taps" writable="true" description="Tap values."/>
  <port name="input" producer="false" protocol="float_timed_sample-prot"/>
  <port name="output" producer="true" protocol="float_timed_sample-prot"/>
</componentspec>
